import { VegaLeftNav } from '../../vega-left-nav';
import { LeftNavOpenStateType } from '../../../interface';
import { PageResizeObserverSlimmer } from '../../../../../helpers/slimmers/page-resize-observer-slimmer';
export declare class VegaLeftNavBackdropController extends PageResizeObserverSlimmer {
  openState: VegaLeftNav['openState'];
  showAsOverlay: VegaLeftNav['showAsOverlay'];
  openStateController: VegaLeftNav['openStateController'];
  private backdrop;
  connectedCallback(): void;
  disconnectedCallback(): void;
  /**
   * The below method is e2e-test covered in
   * @see{module:vega-left-nav-e2e-resize-with-desktop}
   */
  constructor();
  watchOpenState(newState: LeftNavOpenStateType): void;
  watchShowAsOverlay(): void;
  getBackdrop(): HTMLElement;
  shouldShowBackdrop(): boolean;
  /**
   * The below method is e2e-test covered in
   * @see{module:vega-left-nav-e2e-vega-click-backdrop}
   */
  private createBackdrop;
  private updateBackdropUI;
  private isLargeScreen;
}
